Skip to main content
POST
/
scheduler
/
2026-03
/
meetings
/
calendar
Create a new calendar meeting event.
curl --request POST \
  --url https://api.hubapi.com/scheduler/2026-03/meetings/calendar \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "associations": [
    {
      "to": {
        "id": "<string>"
      },
      "types": [
        {
          "associationCategory": "HUBSPOT_DEFINED",
          "associationTypeId": 123
        }
      ]
    }
  ],
  "emailReminderSchedule": {
    "reminders": [
      {
        "numberOfTimeUnits": 123,
        "timeUnit": "DAYS"
      }
    ],
    "shouldIncludeInviteDescription": true
  },
  "properties": {
    "hs_meeting_end_time": "2023-11-07T05:31:56Z",
    "hs_meeting_outcome": "<string>",
    "hs_meeting_start_time": "2023-11-07T05:31:56Z",
    "hs_meeting_title": "<string>",
    "hs_timestamp": "2023-11-07T05:31:56Z",
    "hubspot_owner_id": "<string>",
    "hs_activity_type": "<string>",
    "hs_attachment_ids": [
      "<string>"
    ],
    "hs_attendee_owner_ids": [
      "<string>"
    ],
    "hs_internal_meeting_notes": "<string>",
    "hs_meeting_body": "<string>",
    "hs_meeting_location": "<string>",
    "hs_meeting_location_type": "ADDRESS"
  },
  "timezone": "<string>"
}
'
{
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "lastUpdatedAt": "2023-11-07T05:31:56Z",
  "properties": {
    "hs_engagement_source": "ACADEMY",
    "hs_engagement_source_id": "<string>",
    "hs_meeting_end_time": "2023-11-07T05:31:56Z",
    "hs_meeting_outcome": "<string>",
    "hs_meeting_start_time": "2023-11-07T05:31:56Z",
    "hs_meeting_title": "<string>",
    "hs_timestamp": "2023-11-07T05:31:56Z",
    "hs_activity_type": "<string>",
    "hs_attachment_ids": [
      "<string>"
    ],
    "hs_attendee_owner_ids": [
      "<string>"
    ],
    "hs_include_description_in_reminder": "<string>",
    "hs_internal_meeting_notes": "<string>",
    "hs_meeting_body": "<string>",
    "hs_meeting_external_url": "<string>",
    "hs_meeting_location": "<string>",
    "hs_meeting_location_type": "ADDRESS",
    "hs_unique_id": "<string>",
    "hubspot_owner_id": "<string>"
  }
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

organizerUserId
string
required

Body

application/json
associations
object[]
required
emailReminderSchedule
object
required
properties
object
required
timezone
string
required

The timezone property that will be set on the meeting event.

Response

successful operation

createdAt
string<date-time>
required

The date and time when the meeting event was initially created, in ISO 8601 format.

id
string
required

The unique identifier for the meeting event.

lastUpdatedAt
string<date-time>
required

The date and time when the meeting event was last updated, in ISO 8601 format.

properties
object
required
Last modified on March 30, 2026